OpenTTD: LanguageMetadata Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
LanguageMetadata Struct Reference

Metadata about a single language. More...

`#include <language.h>`

Inheritance diagram for LanguageMetadata:

## Data Fields
char | file [MAX_PATH]
| Name of the file we read this data from.
Data Fields inherited from LanguagePackHeader
uint32 | ident
| 32-bits identifier
uint32 | version
| 32-bits of auto generated version info which is basically a hash of strings.h
char | name [32]
| the international name of this language
char | own_name [32]
| the localized name of this language
char | isocode [16]
| the ISO code for the language (not country code)
uint16 | offsets [TEXT_TAB_END]
| the offsets
char | digit_group_separator [8]
| Thousand separator used for anything not currencies.
char | digit_group_separator_currency [8]
| Thousand separator used for currencies.
char | digit_decimal_separator [8]
| Decimal separator.
uint16 | missing
| number of missing strings.
byte | plural_form
| plural form index
byte | text_dir
| default direction of the text
uint16 | winlangid
| Windows language ID: Windows cannot and will not convert isocodes to something it can use to determine whether a font can be used for the language or not.
uint8 | newgrflangid
| newgrf language id
uint8 | num_genders
| the number of genders of this language
uint8 | num_cases
| the number of cases of this language
byte | pad [3]
| pad header to be a multiple of 4
char | genders [MAX_NUM_GENDERS][CASE_GENDER_LEN]
| the genders used by this translation
char | cases [MAX_NUM_CASES][CASE_GENDER_LEN]
| the cases used by this translation

## Additional Inherited Members
Public Member Functions inherited from LanguagePackHeader
bool | IsValid () const
| Check whether the header is a valid header for OpenTTD.
uint8 | GetGenderIndex (const char *gender_str) const
| Get the index for the given gender.
uint8 | GetCaseIndex (const char *case_str) const
| Get the index for the given case.
Static Public Attributes inherited from LanguagePackHeader
static const uint32 | IDENT = 0x474E414C
| Identifier for OpenTTD language files, big endian for "LANG".

## Detailed Description

Metadata about a single language.

Definition at line 94 of file language.h.

The documentation for this struct was generated from the following file:

- src/language.h